%define upstream_name    Text-Abbrev
%define upstream_version 1.02

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 7

Summary:    Builds hash of all possible abbreviations
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Text/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.300.0
BuildArch:  noarch

%description
Stores all unambiguous truncations of each element of LIST as keys in the
associative array referenced by '$hashref'. The values are the original
list elements.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Sun Jun 19 2016 pterjan <pterjan> 1.20.0-7.mga6
+ Revision: 1034893
- Rebuild for perl 5.22.2

* Fri Feb 05 2016 umeabot <umeabot> 1.20.0-6.mga6
+ Revision: 937434
- Mageia 6 Mass Rebuild

* Fri Feb 05 2016 umeabot <umeabot> 1.20.0-5.mga6
+ Revision: 936987
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.20.0-4.mga5
+ Revision: 750982
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.20.0-3.mga5
+ Revision: 686593
- Mageia 5 Mass Rebuild

* Mon Oct 21 2013 umeabot <umeabot> 1.20.0-2.mga4
+ Revision: 537499
- Mageia 4 Mass Rebuild

* Thu Sep 26 2013 sander85 <sander85> 1.20.0-1.mga4
+ Revision: 487099
- update to 1.02

* Sun Jan 13 2013 umeabot <umeabot> 1.10.0-2.mga3
+ Revision: 373981
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jul 19 2011 jquelin <jquelin> 1.10.0-1.mga2
+ Revision: 126643
- imported package perl-Text-Abbrev


* Tue Jul 19 2011 cpan2dist 1.01-1mga
- initial mageia release, generated with cpan2dist
